package org.example.ModuleApi.ModuleAjaxApi.dto.module;

public class ModuleIdFieldDTO {
    private String leftUnionField;
    private Boolean IsSpecModule;
    private String specSql;
    private String parmaryKey;
    private String AppluAble;

    // 构造函数


    public ModuleIdFieldDTO(String leftUnionField, Boolean isSpecModule, String specSql, String parmaryKey) {
        this.leftUnionField = leftUnionField;
        IsSpecModule = isSpecModule;
        this.specSql = specSql;
        this.parmaryKey = parmaryKey;
    }

    public String getLeftUnionField() {
        return leftUnionField;
    }

    public void setLeftUnionField(String leftUnionField) {
        this.leftUnionField = leftUnionField;
    }

    public Boolean getIsSpecModule() {
        return IsSpecModule;
    }

    public void setIsSpecModule(Boolean isSpecModule) {
        IsSpecModule = isSpecModule;
    }

    public String getSpecSql() {
        return specSql;
    }

    public void setSpecSql(String specSql) {
        this.specSql = specSql;
    }

    public String getParmaryKey() {
        return parmaryKey;
    }

    public void setParmaryKey(String parmaryKey) {
        this.parmaryKey = parmaryKey;
    }

    public Boolean getSpecModule() {
        return IsSpecModule;
    }

    public void setSpecModule(Boolean specModule) {
        IsSpecModule = specModule;
    }

    public String getAppluAble() {
        return AppluAble;
    }

    public void setAppluAble(String appluAble) {
        AppluAble = appluAble;
    }
}
